net.minecraft.world.storage

## Class SaveFormatOld

- java.lang.Object
- - net.minecraft.world.storage.SaveFormatOld

- All Implemented Interfaces:
    ISaveFormat
  Direct Known Subclasses:
    AnvilSaveConverter

      public class SaveFormatOld
      extends Object
      implements ISaveFormat

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SaveFormatOld(File par1File)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canLoadWorld(String par1Str)`
    `boolean` | `convertMapFormat(String par1Str, IProgressUpdate par2IProgressUpdate)` Converts the specified map to the new map format.
    `boolean` | `deleteWorldDirectory(String par1Str)`
    `void` | `flushCache()`
    `List` | `getSaveList()`
    `ISaveHandler` | `getSaveLoader(String par1Str, boolean par2)` Returns back a loader for the specified save directory
    `WorldInfo` | `getWorldInfo(String par1Str)` gets the world info
    `boolean` | `isOldMapFormat(String par1Str)` Checks if the save directory uses the old map format
    `void` | `renameWorld(String par1Str, String par2Str)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SaveFormatOld

          public SaveFormatOld(File par1File)

  - ### Method Detail

    - #### getSaveList

          public List getSaveList()
                           throws AnvilConverterException

      Specified by:
        `getSaveList` in interface `ISaveFormat`
      Throws:
        `AnvilConverterException`

    - #### flushCache

          public void flushCache()

      Specified by:
        `flushCache` in interface `ISaveFormat`

    - #### getWorldInfo

          public WorldInfo getWorldInfo(String par1Str)

      gets the world info
      Specified by:
        `getWorldInfo` in interface `ISaveFormat`

    - #### renameWorld

          public void renameWorld(String par1Str,
                         String par2Str)

      Specified by:
        `renameWorld` in interface `ISaveFormat`

    - #### deleteWorldDirectory

          public boolean deleteWorldDirectory(String par1Str)

      Specified by:
        `deleteWorldDirectory` in interface `ISaveFormat`

    - #### getSaveLoader

          public ISaveHandler getSaveLoader(String par1Str,
                                   boolean par2)

      Returns back a loader for the specified save directory
      Specified by:
        `getSaveLoader` in interface `ISaveFormat`

    - #### isOldMapFormat

          public boolean isOldMapFormat(String par1Str)

      Checks if the save directory uses the old map format
      Specified by:
        `isOldMapFormat` in interface `ISaveFormat`

    - #### convertMapFormat

          public boolean convertMapFormat(String par1Str,
                                 IProgressUpdate par2IProgressUpdate)

      Converts the specified map to the new map format. Args: worldName, loadingScreen
      Specified by:
        `convertMapFormat` in interface `ISaveFormat`

    - #### canLoadWorld

          public boolean canLoadWorld(String par1Str)

      Specified by:
        `canLoadWorld` in interface `ISaveFormat`